#
# spec file for package perl-WWW-Curl (Version 4.09)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-WWW-Curl
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Perl extension interface for libcurl 
Version:        4.11
Release:        4.2
License:        MIT License (or similar) ; MPL ..
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/WWW-Curl
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%if 0%{?suse_version} >= 1030
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif
Requires:       perl = %{perl_version}
Requires:       curl

%description
This module provides a Perl interface to libcurl.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?_smp_mflags}

%check
#%{__make} test

%install
%perl_make_install  
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc Changes LICENSE README SIGNATURE

%changelog
* Mon Feb  8 2010 coolo@novell.com
  4.11:
  - Fixed t/19multi.t for libcurl versions compiled with asyncronous dns resolution.
  4.10:
  - Added support for CURLINFO_SLIST in getinfo (patch by claes).
  - Merging documentation fixes upstream from the FreeBSD port (thanks Peter).
  - Added support for curl_multi_fdset.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Dec 10 2009 chris@computersalat.de
- cleanup spec
  * sorted tags
  * fixed build-/deps
- added perl-macros
  * perl_gen_filelist
* Wed Jul 15 2009 mc@suse.de
- initial version 4.09
